Subject: Re: [bug#72867] [PATCH v6] gexp: Make 'local-file' follow symlinks.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 03 Oct 2024 15:22:56 +0200

Hello Ludo, in my opinion,

Ludovic Courtès <[email-masked]> writes:
> To me, it’s not unreasonable for (local-file "content") to fail when
> loading ‘dir/test-local-file.scm’.  I would say that this is what most
> people would expect.

Yes, the present situation is that from the real file and the symlink,
one of them will not run.

Note that the test here is the converse situation of the guile channel
[1] described in the cookbook.  There, the symlink is in the outer
directory and the real file in the inner directory, which refers to
      (source (local-file "../.." "guile-checkout"

Regards,
Florian